WordPress.org

Ready to get started?Download WordPress

Forums

SI CAPTCHA Anti-Spam
Does not work with WP 3.5 (9 posts)

  1. ssiddiqi1
    Member
    Posted 1 year ago #

    It does not work with WP 3.5. I updated to WP 3.5, logged out, now Captcha is not recognized and I cannot login again. I had to ftp to the server and delete SI Captch plugin directory to login to my WordPress Dashboard.

    http://wordpress.org/extend/plugins/si-captcha-for-wordpress/

  2. Mike Challis
    Member
    Plugin Author

    Posted 1 year ago #

    Sorry you had trouble.
    I could not duplicate your problem. This version is tested working on WP 3.5

    Check for theme or plugin conflict, because that had to be the cause.
    Other login or anti spam plugins can break it.

  3. ssiddiqi1
    Member
    Posted 1 year ago #

    @Mike,
    I had been using SI Captcha on 3 sites. All three of them have Genesis Framework with Child themes. The plugin was working great, but after upgrading those sites to WP 3.5, I was unable to login to anyone of them. I had to ftp and delete Si Captcha plugin.
    I had not troubleshoot plugins and themes, but I assumed conflicts with WP 3.5 because after upgrade it stopped working. One of the site is a personal website with no plugins but Genesis Framework and it child theme Scribble.

  4. sdpate48
    Member
    Posted 1 year ago #

    The si-captcha upgrade failed for me as well. I am using WP 3.5 on Twenty-Eleven. The captcha image would not display. I had to remove the plugin manually. I tried re-installing the last version of si-captcha and it failed as well.

    When that happens, there is no back door.

  5. Mike Challis
    Member
    Plugin Author

    Posted 1 year ago #

    WP 3.5 on Twenty-Eleven or Twenty-Twelve works when I test it.

    If it is not working for you, you must have a plugin conflict.

    Here is how to troubleshoot which plugin is conflicting:
    Look on the Admin – Plugins – menu.
    Temporarily deactivate (not uninstall) all your other plugins. Leave this one still activated.
    Does it work now? If yes, Activate the other plugins one by one to determine which one conflicts. Which one was it?

  6. Mike Challis
    Member
    Plugin Author

    Posted 1 year ago #

    I have been working on this all day. It still could be a plugin conflict, be sure to test that first. but I do have a newer unreleased version you can test.
    Contact me here if you can test it

  7. mbrsolution
    Member
    Posted 1 year ago #

    I have been using this plugin for over a year now. Thank you very much for such a great plugin. I am also very happy to see that you have started to update the plugin.

    @ssiddiqi1 and @sdpate48 it is working on all my blogs using WordPress 3.5. Like @Mike suggest you must have a plugin conflict.

    Kind regards

  8. Mike Challis
    Member
    Plugin Author

    Posted 1 year ago #

    I released a new version 2.7.6.1 last night because I fixed some bugs and added settings for all the error messages. I also used completely different WP hooks for the login page. (my thinking is these hooks are less likely to interfere with other login plugins, but nothing can be for sure) Anybody who was having trouble with 2.7.6, try 2.7.6.1

    If it is not working for you, you must test for a plugin conflict.

    Here is how to troubleshoot which plugin is conflicting:
    Look on the Admin – Plugins – menu.
    Temporarily deactivate (not uninstall) all your other plugins. Leave this one still activated.
    Does it work now? If yes, Activate the other plugins one by one to determine which one conflicts. Which one was it?

    If you still have trouble I need to know:

    What is the error or problem?
    What steps to reproduce the problem?
    Which form is it doing that on? login, comment, registration, or lostpassword
    What version of WordPress?
    What theme?
    Are any other plugins causing it? (deactivate all the others to see if the problem goes away)

  9. ssiddiqi1
    Member
    Posted 1 year ago #

    IF you have Jetpack v2.0.4. installed, downgrade it to v 2.0.2. Jetpack updates 2.0.3. and 2.0.4 broke several plugins, including SI Captcha, on my site.

Topic Closed

This topic has been closed to new replies.

About this Plugin

About this Topic

Tags

No tags yet.